package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class MetodeDelivery
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "MetodeDelivery_M")
public class MetodeDeliveryVO extends BaseMasterVO {
	@ManyToOne
	@JoinColumn(name = "ObjectDepartemenFk")
	@NotNull(message="Object DepartemenVO Harus Diisi")
	@Caption(value="Object Departemen")
	private DepartemenVO departemen;

	public void setDepartemen(DepartemenVO departemen) {
		this.departemen = departemen;
	}

	@Column(name = "KdDepartemen", nullable = false , length = 1)
	public DepartemenVO getDepartemen(){
		return this.departemen;
	}

	@Column(name = "ObjectDepartemenFk", insertable=false,updatable=false)
	private Integer departemenId;

	@Caption(value="Kode Metode Delivery")
	private Byte kdMetodeDelivery;

	public void setKdMetodeDelivery(Byte kdMetodeDelivery) {
		this.kdMetodeDelivery = kdMetodeDelivery;
	}

	@Column(name = "KdMetodeDelivery", nullable = false )
	public Byte getKdMetodeDelivery(){
		return this.kdMetodeDelivery;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectMetodeDeliveryHeadFk")
	@Caption(value="Object Metode Delivery Head")
	private MetodeDeliveryVO metodeDeliveryHead;

	public void setMetodeDeliveryHead(MetodeDeliveryVO metodeDeliveryHead) {
		this.metodeDeliveryHead = metodeDeliveryHead;
	}

	@Column(name = "KdMetodeDeliveryHead", nullable = true )
	public MetodeDeliveryVO getMetodeDeliveryHead(){
		return this.metodeDeliveryHead;
	}

	@Column(name = "ObjectMetodeDeliveryHeadFk", insertable=false,updatable=false)
	private Integer metodeDeliveryHeadId;

	@Caption(value="Metode Delivery")
	private String metodeDelivery;

	public void setMetodeDelivery(String metodeDelivery) {
		this.metodeDelivery = metodeDelivery;
	}

	@Column(name = "MetodeDelivery", nullable = false , length = 50)
	public String getMetodeDelivery(){
		return this.metodeDelivery;
	}

	@Caption(value="QJenis Delivery")
	private Byte qJenisDelivery;

	public void setqJenisDelivery(Byte qJenisDelivery) {
		this.qJenisDelivery = qJenisDelivery;
	}

	@Column(name = "QJenisDelivery", nullable = false )
	public Byte getqJenisDelivery(){
		return this.qJenisDelivery;
	}


}

